---
title: Console.dir()
slug: Web/API/Console/dir
tags:
  - API
  - DOM
  - Debugging
  - Method
  - Reference
  - Web Development
  - console
  - web console
---
<p>{{APIRef("Console API")}}</p>

<p><span class="seoSummary">The {{domxref("Console")}} method <strong><code>dir()</code></strong> displays an interactive list of the properties of the specified JavaScript object.</span> The output is presented as a hierarchical listing with disclosure triangles that let you see the contents of child objects.</p>

<p>In other words, <code>console.dir()</code> is the way to see all the properties of a specified JavaScript object in console by which the developer can easily get the properties of the object.</p>

<p>{{AvailableInWorkers}}</p>

<p><img alt="console-dir.png" class="default internal" src="/@api/deki/files/6081/=console-dir.png"></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">console.dir(<var>object</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>object</var></code></dt>
 <dd>A JavaScript object whose properties should be output.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Console API", "#dir", "console.dir()")}}</td>
   <td>{{Spec2("Console API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.dir")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a class="external" href="http://msdn.microsoft.com/library/gg589530">MSDN: Using the F12 Tools Console to View Errors and Status</a></li>
 <li><a href="https://developers.google.com/chrome-developer-tools/docs/console-api#consoledirobject">Chrome Console API reference</a></li>
</ul>
